BTEA Class Reference

BTEA block cipher. More...

Inheritance diagram for BTEA:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from BTEA_Info
static const char * | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

BTEA block cipher.

Corrected Block TEA as described in "xxtea". This class hasn't been tested yet.

See also
  Correction to xtea and Corrected Block TEA.

Definition at line 120 of file tea.h.

The documentation for this class was generated from the following file:

- tea.h